
From: Tom Rini <trini@kernel.crashing.org>

The following adds a __KERNEL__ check to <linux/crc-ccitt.h>.  The problem
is that the ppp package includes <linux/ppp_defs.h> via <net/ppp_defs.h>,
which in turn gets <linux/crc-ccitt.h>.

Signed-off-by: Tom Rini <trini@kernel.crashing.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/crc-ccitt.h |    2 ++
 1 files changed, 2 insertions(+)

diff -puN include/linux/crc-ccitt.h~add-__kernel__-to-linux-crc-ccitth include/linux/crc-ccitt.h
--- 25/include/linux/crc-ccitt.h~add-__kernel__-to-linux-crc-ccitth	Thu Nov  4 14:33:16 2004
+++ 25-akpm/include/linux/crc-ccitt.h	Thu Nov  4 14:33:16 2004
@@ -1,5 +1,6 @@
 #ifndef _LINUX_CRC_CCITT_H
 #define _LINUX_CRC_CCITT_H
+#ifdef __KERNEL__
 
 #include <linux/types.h>
 
@@ -12,4 +13,5 @@ static inline u16 crc_ccitt_byte(u16 crc
 	return (crc >> 8) ^ crc_ccitt_table[(crc ^ c) & 0xff];
 }
 
+#endif /* __KERNEL__ */
 #endif /* _LINUX_CRC_CCITT_H */
_
